const path = require('path')
console.log('enter postcss')
const pxtorpx = require('postcss-pxtorpx-pro')
const postcssImport = require('postcss-import')
const autoprefixer = require('autoprefixer')
module.exports = {
  // parser: require('postcss-comment'),
  plugins: [
		pxtorpx(),
    postcssImport({
      resolve(id, basedir, importOptions) {
        if (id.startsWith('~@/')) {
          return path.resolve(process.env.UNI_INPUT_DIR, id.substr(3))
        } else if (id.startsWith('@/')) {
          return path.resolve(process.env.UNI_INPUT_DIR, id.substr(2))
        } else if (id.startsWith('/') && !id.startsWith('//')) {
          return path.resolve(process.env.UNI_INPUT_DIR, id.substr(1))
        }
        return id
      }
    }),
    autoprefixer({
      overrideBrowserslist: ["Android >= 4", "ios >= 8"],
      remove: process.env.UNI_PLATFORM !== 'h5'
    }),
		// require('@dcloudio/vue-cli-plugin-uni/packages/postcss')
	],
}